Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	mapping application toolkit
Name:		mapnik
Version:	0.5.1
Release:	1
License:	GNU/GPL
URL:		http://mapnik.org/	
Group:		Navigation
Source0:	%{name}_src-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  boost-devel
BuildRequires:  glibc-devel
BuildRequires:  freetype-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  proj-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtiff-devel
BuildRequires:  python-devel

%description
Mapnik is a Free Toolkit for developing mapping applications. It's written in C++ and there are Python bindings to facilitate fast-paced agile development. It can comfortably be used for both desktop and web development, which was something I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library and offers world class anti-aliasing rendering with subpixel accuracy for geographic data. It is written from scratch in modern C++ and doesn't suffer from design decisions made a decade ago. When it comes to handling common software tasks such as memory management, filesystem access, regular expressions, parsing and so on, Mapnik doesn't re-invent the wheel, but utilises best of breed industry standard libraries from boost.org 

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.


%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#%patch -p1

%build
scons/scons.py PREFIX=%_prefix


%install
rm -rf $RPM_BUILD_ROOT
scons/scons.py install DESTDIR=$RPM_BUILD_ROOT PREFIX=%_prefix

%files
%defattr(-,root,root,-)
%_bindir
%_libdir

%files devel
%defattr(-,root,root,-)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.1-1
- Initial Release
